package com.sample;

import org.drools.runtime.process.WorkItem;

import org.drools.runtime.process.WorkItemHandler;

import org.drools.runtime.process.WorkItemManager;
import org.drools.runtime.StatefulKnowledgeSession;

public class Preparation implements WorkItemHandler {


	/*
	 * StatefulKnowledgeSession session;
	 * 
	 * public Notification (StatefulKnowledgeSession ksession){ session =
	 * ksession; }
	 */
	public void executeWorkItem(WorkItem workItem, WorkItemManager manager) {

		final WorkItem work = workItem;
		final WorkItemManager itemManager = manager;

		// extract parameters
		System.out.println("Executing Preparation Node");

		String src = DataBase.getSource();
		String dst = DataBase.getDestination();
		int pid = DataBase.getProcessInstanceID();

		JobParameters.setSource(src);
		JobParameters.setDestination(dst);
		JobParameters.setProcessInstanceID(pid);
		
		System.out.println("Finished Preparation Node");
		manager.completeWorkItem(workItem.getId(), null);
		
	}

	@Override
	public void abortWorkItem(WorkItem workItem, WorkItemManager manager) {

		// Do nothing, notifications cannot be aborted
		// session.signalEvent("TimeOut", 5);
		System.out.println("Aborting");
	}
}